<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package business_office
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class( 'post-card c-card' ); ?>>
	<div class="blog-post-item">
		<?php if ( has_post_thumbnail() ) : ?>
			<div class="featured-image">
				<?php business_office_post_thumbnail(); ?>
			</div>
        <?php endif; ?>

        <?php 
		if ( 'post' === get_post_type() ) :
			?>
			<div class="entry-meta">
				<?php
					business_office_posted_by();
					business_office_posted_on();
				?>
			</div>	
		<?php endif; ?>

		<div class="entry-container">
	        <header class="entry-header">
				<?php
				if ( is_singular() ) :
					the_title( '<h1 class="entry-title">', '</h1>' );
				else :
					the_title( '<h2 class="entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
				endif; ?>
			</header>

			<div class="entry-content">
				<?php the_content(); ?>
			</div>

			<footer class="entry-footer">
				<?php business_office_entry_footer(); ?>
			</footer>
		</div>
	</div>
</article><!-- #post-<?php the_ID(); ?> -->